d_add
Prev | The Directory Cache | Next

## Name

d_add — add dentry to hash queues

## Synopsis

`void d_add (` | struct dentry * | entry,
| struct inode * | inode`)`;

## Arguments

`entry`

  dentry to add

`inode`

  The inode to attach to this dentry

## Description

This adds the entry to the hash queues and initializes `inode`. The entry was actually filled in earlier during `d_alloc`.

Prev | Up | Next
__d_drop | Home | d_add_unique